org.richfaces.fragment.pickList

## Interface PickList

- All Known Implementing Classes:
    RichFacesPickList

      public interface PickList

  Author:
    Jiri Stefek

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PickList` | `add(ChoicePicker picker)` Picks and adds value from source list to target list.
    `PickList` | `add(int index)` Picks and adds value from source list to target list.
    `PickList` | `add(String match)` Picks and adds value from source list to target list.
    `PickList` | `addAll()` Picks and adds all values from source list to target list.
    `PickList` | `addMultiple(MultipleChoicePicker picker)` Picks and adds multiple values from source list to target list.
    `PickList` | `remove(ChoicePicker picker)` Removes the value from target list back to the source list.
    `PickList` | `remove(int index)` Removes the value from target list back to the source list.
    `PickList` | `remove(String match)` Removes the value from target list back to the source list.
    `PickList` | `removeAll()` Removes all values from target list back to the source list.
    `PickList` | `removeMultiple(MultipleChoicePicker picker)` Picks and removes multiple values from target list back to source list.

- - ### Method Detail

    - #### add

          PickList add(ChoicePicker picker)

      Picks and adds value from source list to target list.
      Parameters:
        `picker` - object which defines rules to pick the value
      Returns:
        the pickList itself

    - #### add

          PickList add(String match)

      Picks and adds value from source list to target list.
      Parameters:
        `match` - the textual representation of the value which should be picked and added to target list
      Returns:
        the pickList itself

    - #### add

          PickList add(int index)

      Picks and adds value from source list to target list.
      Parameters:
        `index` - index of the value which should be picked and added to target list
      Returns:
        the pickList itself

    - #### addMultiple

          PickList addMultiple(MultipleChoicePicker picker)

      Picks and adds multiple values from source list to target list.
      Parameters:
        `picker` - defines rules to pick the multiple values and add them to the target list
      Returns:
        the pickList itself

    - #### addAll

          PickList addAll()

      Picks and adds all values from source list to target list.
      Returns:
        the pickList itself

    - #### remove

          PickList remove(ChoicePicker picker)

      Removes the value from target list back to the source list.
      Parameters:
        `picker` - object which defines rules to pick the value
      Returns:
        the pickList itself

    - #### remove

          PickList remove(String match)

      Removes the value from target list back to the source list.
      Parameters:
        `match` - the textual representation of the value which should be picked and removed from target list back to the source list
      Returns:
        the pickList itself

    - #### remove

          PickList remove(int index)

      Removes the value from target list back to the source list.
      Parameters:
        `index` - index of the value which should be picked and removed from target list back to the source list
      Returns:
        the pickList itself

    - #### removeMultiple

          PickList removeMultiple(MultipleChoicePicker picker)

      Picks and removes multiple values from target list back to source list.
      Parameters:
        `picker` - defines rules to pick the multiple values and remove them from target list back to the source list
      Returns:
        the pickList itself

    - #### removeAll

          PickList removeAll()

      Removes all values from target list back to the source list.
      Returns:
        the pickList itself

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.